<!DOCTYPE HTML>

<html xml:lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.thymeleaf.org ">

<head>
    <title>Ship card</title>
    <meta name="viewport" content="width=device-width">
</head>

<body>
    <article th:fragment="zoneCard" class="ship-card card-margin card" th:each="zone : ${session.listaZonas}">
            <div class="card-body pt-0">
                <div class="widget-49">
                    <div class="widget-49-title-wrapper">
                        <th:block th:switch="${zone.estado}">
                            <th:block th:case="Bien">
                                <div class="widget-49-date-success">
                                    <span class="widget-49-date-day" th:text="${zone.id}"></span>
                                    <span class="widget-49-date-month">ZONE ID</span>
                                </div>
                                <div class="widget-49-meeting-info">
                                    <span class="widget-49-pro-title">ZONA DE PESCA</span>
                                    <span class="widget-49-meeting-time" th:text="${zone.pez}"></span>
                                </div>
                            </th:block>
                            <th:block th:case="*">
                                <div class="widget-49-date-warning">
                                    <span class="widget-49-date-day" th:text="${zone.id}"></span>
                                    <span class="widget-49-date-month">ZONE ID</span>
                                </div>
                                <div class="widget-49-meeting-info">
                                    <span class="widget-49-pro-title">ZONA DE PELIGRO</span>
                                    <span class="widget-49-meeting-time" th:text="${zone.estado}"></span>
                                </div>
                            </th:block>
                        </th:block>
                    </div>
                    <ul class="widget-49-meeting-points">
                        <li class="widget-49-meeting-item"><span>Radio: </span><span th:text="${zone.radio}"></span></li>
                        <li class="widget-49-meeting-item"><span>PosX: </span><span th:text="${zone.posicion.posX}"></span></li>
                        <li class="widget-49-meeting-item"><span>PosY: </span><span th:text="${zone.posicion.posY}"></span></li>
                    </ul>
                    <div class="widget-49-meeting-action">
                        <th:block th:switch="${zone.estado}">
                            <th:block th:case="Bien">
                                <a th:href="@{/deleteHomeFishingZone?zoneId={zoneId}(zoneId=${zone.id})}" class="btn btn-sm btn-flash-border-primary btnDel" onclick="_paq.push(['trackEvent', 'Manager Home', 'Manager Home Clicked', 'Delete zone']);">DELETE ZONE</a>
                            </th:block>
                            <th:block th:case="*">
                                <a th:href="@{/deleteHomeRiskZone?zoneId={zoneId}(zoneId=${zone.id})}" class="btn btn-sm btn-flash-border-primary btnDel" onclick="_paq.push(['trackEvent', 'Manager Home', 'Manager Home Clicked', 'Delete zone']);">DELETE ZONE</a>
                            </th:block>
                        </th:block>
                    </div>
                </div>
            </div>
    </article>


</body>

</html>